ServerEvents.recipes(event => {
    // Gate HNN behind third tier of farming grist and first tier of energetic
    //event.remove({output: 'hostilenetworks:blank_data_model'})

    //event.shaped

    // Gate most of HNN behind first tier energetic grist
    event.replaceInput(
        {mod: 'hostilenetworks'},
        'minecraft:redstone',
        '#kubejs:grist/energetic/basic'
    )
    event.replaceInput(
        {mod: 'hostilenetworks'},
        'minecraft:iron_ingot',
        '#kubejs:grist/energetic/basic'
    )
    event.replaceInput(
        {mod: 'hostilenetworks'},
        'minecraft:gold_ingot',
        '#kubejs:grist/energetic/basic'
    )

    // The loot fabricator needs more energy, and gate it behind mid-game farming
    event.replaceInput(
        {mod: 'hostilenetworks'},
        'minecraft:comparator',
        '#kubejs:grist/energetic/improved'
    )
    event.replaceInput(
        {mod: 'hostilenetworks'},
        'minecraft:obsidian',
        '#kubejs:grist/agricultural/improved'
    )

    // This replaces the smooth stone for a data model with a tier gate
    event.replaceInput(
        {mod: 'hostilenetworks'},
        'minecraft:smooth_stone',
        '#kubejs:grist/agricultural/radiant'
    )
    
    // Finally, target HNN matrixes with basic farming grist
    event.replaceInput(
        {mod: 'hostilenetworks'},
        'minecraft:clay_ball',
        '#kubejs:grist/agricultural/basic'
    )

});